Module java.base
Package java.nio.file.attribute

## Interface FileAttributeView

- All Superinterfaces:
    `AttributeView`
  All Known Subinterfaces:
    `AclFileAttributeView`, `BasicFileAttributeView`, `DosFileAttributeView`, `FileOwnerAttributeView`, `PosixFileAttributeView`, `UserDefinedFileAttributeView`

      public interface FileAttributeView
      extends AttributeView

  An attribute view that is a read-only or updatable view of non-opaque values associated with a file in a filesystem. This interface is extended or implemented by specific file attribute views that define methods to read and/or update the attributes of a file.
  Since:
    1.7
  See Also:
    `Files.getFileAttributeView(Path,Class,java.nio.file.LinkOption[])`

- - ### Method Summary

    - ### Methods declared in interface java.nio.file.attribute.AttributeView

      `name`